Snitch Help Overview

Welcome to the help system for Snitch! Snitch Help is comprised of several books, each of which covers various aspects of Snitch:

  • Introduction
    The introduction book discusses what Snitch is all about, what it is capable of, the types of people that use it and the situations Snitch is commonly used for, and the System requirements for Snitch

  • Snitch Reference
    The Reference guide is a reference to all the various controls, dialog boxes and screens in Snitch. Review this reference for further information on using a particular function or feature.


What is Snitch?

Snitch is a program designed to search a computer's local drives, using a variety of algorithms to detect the presence of inappropriate materials. The items found are then prioritised and presented for viewing and analysis. A comprehensive customizable report can then be generated.

Snitch was designed to be easy to operate for the non-technical user, while also allowing significant configurability for advanced users. Results are assessed and sorted, and displayed in such a way that the most suspicious materials are shown first. This minimises the need to wade through pages of irrelevant results - instead, search results are concise and relevant. Snitch is suitable for use in the Home Environment, Educational Institutions, Business, Government, and Law Enforcement.

Snitch can detect a large range of problem items including:

  • pornographic images and movies

  • illegal audio files

  • profanity

  • viewed internet material of an inappropriate nature

  • visited internet sites containing pornography or pirated software

  • deliberately hidden files

  • user defined files

  • and a number of other suspicious articles

Snitch achieves a very high success rate in detection of these materials. It employs a range of detection methods to locate items and accurately assess and prioritise them.


Who Uses Snitch?

Snitch finds application in a diverse range of areas:

  • Home Users
    Parents are becoming increasingly concerned about the availability of illicit and obscene materials on the internet and in schools, and the adverse effects that exposure to them can have on their children. Snitch is suited to detecting early, the presence of inappropriate material on home computers, so that early action can be taken. The best firewall or email or internet filter cannot prevent files being copied via floppy disc or CD. Snitch can detect illicit materials from any source.

  • Education
    Snitch is used in schools, where detection of improper materials is critical. Many schools now have computers and internet access, and thus the potential to access improper materials becomes of prime importance. The use of Snitch can prevent the handling of these materials by exposing their presence, and alerting those in positions of responsibility for further action. Knowing that such an effective weapon as Snitch is on guard is often an excellent deterrent.

  • Business
    Studies have shown that inappropriate computer use in the workplace, especially during work hours, has risen sharply, resulting in reduced productivity. This, coupled with the explosion of inappropriate materials on work servers, is becoming a major concern for Senior Management in all types of business. Snitch can quickly determine the presence of such materials, allowing appropriate preventative action to be taken.

  • Police/Forensics
    Criminal investigations of paedophiles or software pirates, commonly involve the scanning of a criminal's computer system to identify the presence of child pornography, or pirate software. Snitch is designed to achieve this goal with minimal user interaction.

  • Technical Support Personnel
    Technical staff who wish to reduce the time taken to effectively scan and create reports for large numbers of computers. Typically a technician in this role can spend several hours on just one computer.


System Requirements

Operating System.

Windows XP / 2000 / Me / 98 / 95b / NT 4.0 (service pack 3) ,

with Media Player version 6.4 or above and Internet Explorer version 4 or above.

CPU.

minimum 166mhz MMX Pentium ,recommend Celeron 667 mhz or above.

Memory.

Windows Me /98 /95 - minimum 32mb ram , recommend 128mb ram or above.

Windows XP /2000 /NT- minimum 64mb ram , recommend 128mb ram or above.

Video card.

video card which can display a minimum 256 colors and 800 x 600 lines, recommend 16,000,000 colors and 1024 x 768 lines.

Disk space.

minimum 40MB, recommend that Snitch be installed on a drive with a minimum of 200MB available disk space.

Sound Card.

(Optional)

Windows 98/95 compatible sound.

Network card.

(Optional)

Ne2000 compatible.


Frequently asked questions.

For current information visit the Snitch web site www.hyperdynesoftware.com

Question.

When I run Snitch I receive the error "Snitch Requires Media Player 6.4 or above to Continue" ?

Answer.

Snitch requires a program called "Media Player" installed to display movies and play audio files. A version of "Media Player" comes with your copy of windows (to install use"control panel" \ "add/remove programs"). If you require a later version, it is a free download from MicroSoft's web site www.microsoft.com. If you already have the required version installed, perhaps you have another application running that also uses "Media Player", if so exit all other applications before running Snitch again.

Question.

When I press "Search Now" I receive the error "Snitch has detected other applications running, continuing in this condition may not yield desirable results" ?

Answer.

Some applications use vast amounts of memory and other system resources, this may cause some problems, perhaps you may not obtain all the results possible. Snitch runs with most applications, but it is a good practice to close all other application before running Snitch again.

Question.

I am trying to install Snitch into windows 2000 and I receive the error "The system cannot find the specified path" ?

Answer.

When installing Snitch into windows 2000 or windows XP you must log on as administrator or have equivalent administrator privileges to have sufficient access to install Snitch.

Question.

When installing Snitch I received the error "one or more files did not properly self-register" ?

Answer.

Your installation of windows or some of the applications may be faulty or not current enough to install Snitch correctly, if the file name was "msdxm.ocx" then media player needs to be updated or reinstalled before attempting to install snitch again.

Question.

When I run Snitch I receive the error "Snitch is corrupt, please reinstall Snitch" ?.

Answer.

Snitch has detected that one or more of its files are missing or corrupt. Run ScanDisk to detect any errors on your drive then reinstall Snitch.

Question.

When I run Snitch I receive the error "Snitch is not available for <current user name> ,please reinstall snitch" ?

Answer.

If snitch was previously installed under a different username than you are currently using, you must reinstall Snitch for the current user or log on as the previous user. This is a security measure to prevent unauthorized usage.

Question.

I have forgotten my password ?

Answer.

If you have forgotten your password you must reinstall snitch, this will disable the password checking feature.

Question.

when I try to view image files, snitch reports some of the files to be corrupt ?

Answer.

Snitch has detected inconsistencies in the image format that may possibly hang your computer if viewed

Question.

When viewing Image results the option "Sort by SkinScan" is greyed out ?

Answer.

The option for "SkinScan" has not been selected prior to the search. In configuration select the tab "MultiMedia"and under Images you will find a tickbox called "SkinScan Analysis", ensure this box is ticked.

Question.

After Selecting multiple drives and pressing "Search Now" I receive the error "Network drives must be scanned separately" ?

Answer.

If you are trying to scan multiple drives simultaneously and at least one of them is a network drive, you must reselect only local drives (eg a:, c:). Network drives must be scanned separately.

Question.

When I run Snitch I receive the error "Resolutions below 800 x 600 are not supported" ?

Answer.

The amount of lines your video card is currently displaying is less than required to display results correctly. In"control panel"\"display" set the screen area (resolution) to at least 800 x 600 lines.

Question.

When I run Snitch I receive the error "Color Depth below 4 Bit is not supported" ?

Answer.

The amount of colors your video card is currently displaying is insufficient to display results correctly. In"control panel"\"display" set the colors to at least 256, preferably set to True color (32 bit).

Question.

when I try to play audio files, I receive the error "Automation error" ?

Answer.

Snitch cannot play the audio file, either the audio file is corrupt or you need a later version of media player the installed, snitch requires media player version 6.4 or above.

Question.

when I try to play video files, snitch reports the file to be corrupt or not supported ?

Answer.

Snitch cannot play the video file, either the file is corrupt or you need a later version of media player that supports the compressor/decompressor used by the video file. Snitch requires media player version 6.4 or above.


Contact Information

Visit the Hyperdyne Software website at

www.hyperdynesoftware.com

for Latest Snitch demos, Updates and Patches

Tech support can be obtained by emailing:

support@hyperdynesoftware.com


Reference Overview

Start Screen

1. Select Path

Pressing this button will open the path browser dialog. This will allow you to select which area of your computer's drives you wish to scan. Typically a complete hard drive will be scanned, and the default setting here will be 'C:\'.

However, under some circumstances, it may be desirable to search a particular area. For example, you could enter "C:\My Documents\My Pictures" to search only that directory for results.

2. Path Entry Box

A path to be searched can be manually typed into this box, if the path is already known. Note - the path can be browsed for visually by pressing the 'Select Path" button (see 1)

3. Search Now

Pressing this button will immediately start Snitch searching for inappropriate materials, within the path found in (2). The kinds of materials to search for can be customised in the preferences dialog, which can be reached by pressing the 'Configure' button (5).

The default parameters to be used every time Quick Search is run, can be configured by adjusting them in the Preferences dialog, by pressing the Configure button (5).

4. Custom Search

Additional searches for the more advanced user. Several preset search configurations can be accessed by pressing this button. Doing so will invoke the Custom Search dialog. Here, various search modes, using a variety of search algorithms, can be used and configured.

5. Configure

By pressing this button, the Preferences dialog is invoked. Here, you can configure the kinds of search algorithms you want to use in your search.

6. Exit

Press this button to exit the Snitch program.


Selecting a Path.

1. Browse

Choose the drive you wish to search using the Browse button.

2. Select

You can narrow the search further by targeting a specific directory on the selected drive.

3. Add.

If you wish to search more than one drive or folder, you can add the currently selected path to a selections list (6).

Items may also be added to selections by 1. dragging the item to the selections list or 2. adding via the right mouse button).

For "Snitch Professional" users Multiple network drives or shares can be selected in the same manner. When complete each selection will appear encapsulated in "<" ">" brackets on the main search dialog.

Eg:

Note: you can manually type paths for Drives, Folders or Network Shares in the "Current search path" text. All paths must be encapsulated in "<" ">" brackets.

<Drive name> or <Folder name> or <Share name>

4. Drives.

Here multiple drives can be selected easily. Tick the appropriate box to select the desired drive. (note: this may override some directory selections made earlier).

(Note: drives may also be added to selections by 1. dragging the item to the selections list or 2. adding via the right mouse button)

5. Scan all hard drives

By checking this box Snitch will select all hard drives on the target computer. (this is the recommended scan method).

6. Selected paths

Here you can view or modify your path selections. Paths can be removed with the delete button or the right mouse button.

7. Clear List

Use this option to remove all selected paths from the selections list.

8. Ok

When you are satisfied with your selection(s) press OK to complete.


Custom Search

1. Select Path

Pressing this button will open the path browser dialog. This will allow you to select which area of your computer's drives you wish to scan. Typically a complete hard drive will be scanned, and the default setting here will be 'C:\'.

However, under some circumstances, it may be desirable to search a particular area. For example, you could enter "C:\My Documents\My Pictures" to search only that directory for results.

2. Complete Search

The searching engine used by Snitch is based upon a group of specialised 'smart' algorithms. Each algorithm seeks results in a particular category, and when that algorithm (or group thereof) has finished scanning, the next begins.

Selecting Complete Search will enable ALL algorithms, and return all categories of results. This means that the widest possible range of results will be returned, and it also means that the program will take longer to finish searching, because more effort is being expended to detect problems.

Selecting this search type pre-configures all appropriate values in the Preferences dialog, so that all search algorithms are used.

After pressing this button, select the Start! button (8) to begin the search.

3. Standard Search

Pressing the Standard Search button will cause the preferences dialog to be configured for a standard search. A standard search is the recommended search type, as it offers the best balance between search breadth and time taken.

The Standard Search enables the most common search algorithms, to find the majority of common problems. It disables some of the more time-consuming scans, to improve search speed while still maintaining good detection capability.

After pressing this button, select the Start! button (8) to begin the search.

4. Basic Search

Selecting the Basic Search button will preset the preferences dialog for the most basic search type. This is also the fastest of the searches. The Basic Search performs the minimum number of scans to produce useful results.

Detection performance is sacrificed in favour of search speed, when time is of the essence.

After pressing this button, select the Start! button (8) to begin the search.

5. User Defined

Pressing this button will invoke the Preferences Dialog. You may then set up the User Defined search to use whichever algorithms you need. Press the 'Done' button on the Preferences Dialog to store your User Defined parameters. The next time you run a User Defined search, your configuration will be restored and the search will execute according to the settings you have created.

After pressing this button, select the Start! button (8) to begin the search.

6. Help Button

Pressing the Help Button will bring you to this Help file

7. Cancel Button

Pressing this button will return control to the start screen, and any changes made to the pre-defined search types will be retained.

8. Start Button

Press this button to begin the search type chosen by pressing one of the search type buttons (2,3,4,5)


Multimedia Preferences

1. Scan for Image Files

One of the major problems that can be detected by Snitch is the presence of inappropriate Image files on the target computer. By enabling the 'Scan for Image Files' tick box, the image file detection algorithm is enabled. A number of 'intelligent' filters can then be configured to analyze and sort results.

2. SkinScan Analysis

Simply detecting all images is not always useful in itself. The SkinScan Analysis can be used to detect images containing nudity or pornographic topic matter, by using a 'fuzzy' algorithm to detect the skin tone as well as other characteristics of adult material. In addition to this, several other adaptive methods are used to help isolate the most suspicious files, including optionally a weighted keyword system to detect obscenity in filenames, a choice of adaptive algorithms and a programmable filter to simplify results by removing all non suspicious images. These combine to make a fast and very effective image screening algorithm. Enabling this algorithm will slow down the overall search, depending on the number of images present in the search path, but will greatly improve the quality of results obtained.

Obscene Name Priority

This option enables an additional weighting of results to account for obscenity in the filename. This takes a little extra time, but improves the quality of the results returned, as the results are more likely to contain suspicious images.

Wideband Scan

The SkinScan algorithm is optimised to detect most suspicious images without false-alarms on normal images. This option extends the search range of the algorithm to detect a wider range of potentially suspicious images, at the expense of returning more image results.

Do not display corrupt images

Allows the user to remove all images from results found to have a corrupt or incorrect file format. This reduces the risk opening potentially damaged files and clarifies results.

Exclude results of Low/Medium suspicion

This option allows the user to simplify results by not displaying images above a settable threshold. By setting the slider to Low, more images are returned; by setting the slider to Medium, fewer (only the most suspicious) images are shown.

Reduce mis-hits

This option enables SkinScan to reduce the number of images in results that are probably not pornographic.

3. Look for Files of Type.

Here, the types of images to search for can be selected. By selecting only the file types required, search speed can be improved. Obscene images are most commonly in JPEG format (.jpg , .jpeg), as the file size is generally smallest without sacrificing image quality. Sometimes though, images can be found in other formats as well. To refine your search, select all types that you want to scan for.

4. Exclude image files of size.

It is sometimes desirable to narrow the range of images scanned, in order to reduce scanning time. This section can be used to prevent certain files being added to the scan queue. For example, the search time can be reduced by excluding irrelevant images. For example, excluding images smaller than say 15kB and larger than say 1Mb; this might eliminate thumbnails (usually very small) and digital camera photographs which may be quite large.

5. Look for Image Files by Date.

This group of options allow the filtering of images by date. This lets you retrieve results accessed within the last 3 months, for example.

6. Scan for Audio Files.

It may be desirable to detect the presence of illegal or resource consuming audio files (Mp3 or wav files); this is where the audio algorithm comes in handy. By enabling the audio algorithm, the main types of audio files can be detected. If the available options are insufficient, user defined extensions can be added. To do this, type the letters of the extension (ie 'doc' or 'txt', without the '.') into the box provided,and press Add. This will add the extra types into the search queue for audio files.

7. Scan for Video Files.

Searching for video files is accomplished by enabling the video search algorithm. Select the appropriate file types to search for by checking the check boxes. If the available options are insufficient, user defined extensions can be added. To do this, type the letters of the extension (ie 'doc' or 'txt', without the '.') into the box provided, and press Add. This will add the extra types into the search queue for video files.

8. Page Defaults.

Pressing the default button will restore the default settings to this page of the preferences dialog.

9. Store Configuration.

By pressing this button, the current settings on all preference pages can be saved to a configuration file. This file can be retrieved later to repeat the same search without having to manually reconfigure all settings.

10. Load Configuration.

Pressing this button will restore a previously saved preference file. This will reconfigure the preference dialog with preferences from a saved file, so that a previously set up search can be done again without setting up again.

11. Done Button.

Pressing the Done button will return control to the place that the preference dialog was invoked from.


Internet Preferences

1. Scan Internet History Files

Selecting this option will enable the Internet History scanning algorithm. This algorithm will retrieve a table of internet sites visited using the installed browsers (Microsoft Internet Explorer, Netscape Navigator).

Sites retrieved will be prioritised in the result list to show the most suspicious ones first. To achieve this, several sorting procedures will be run on the URL list to detect those sites which exhibit signs of being adult sites, or illegal or otherwise inappropriate in nature.

2. Internet History Scanning Options

For Internet Explorer (versions 4, 5, 6)

Search Microsoft Internet Explorer history for URLs.

use more aggressive search technique

(Advanced users only)

This option allows users to interrogated internet explorer's cache database rigorously for any visited internet sited.

For Netscape (versions 3, 4, 5, 6)

Search Netscape history for URLs.

All versions

This option allow Snitch to search for all versions currently installed.

3.Global settings

Use these options for both Internet Explorer and Netscape.

Display Only Suspicious History

This option allows the additional filtering of results so that only those URLs determined to be suspicious are added to the result pool. This improves search time and generally presents more useful results.

Check All Users History

(Advanced users only)

This option will cause Snitch to diversify its search to detect the presence of other installations of browsers. For example, computers that are set up for user profiles may have additional internet histories that can be searched. This option will attempt to locate these other installations and scan them.

Use current search path only

(Advanced users only)

This option allows users to search a specific path for internet history files that would not normally be detected.

Never dial a connection

Use this option to disable the Windows internet auto-dial feature. Snitch will attempt to visit the selected URL by connecting to the internet, unless this option is selected, in which case the system will try and get the URL from the cache on the computer instead. This will avoid any annoying connection dialogs appearing when opening Internet results.

WARNING! Changing this option will also change the Default Browser setting.

Retrieve cached file owner (windows 2000/XP/NT only)

This feature allows Snitch to add the user name or group that owns each file to the Internet results. This feature is used for NTFS file system's only.

4.Page Defaults

Pressing the default button will restore the default settings to this page of the preferences dialog.

5. Store Configuration

By pressing this button, the current settings on all preference pages can be saved to a configuration file. This file can be retrieved later to repeat the same search without having to manually reconfigure all settings.

6. Load Configuration

Pressing this button will restore a previously saved preference file. This will reconfigure the preference dialog with preferences from a saved file, so that a previously set up search can be done again without setting up again.

7. Done Button

Pressing the Done button will return control to the place that the preference dialog was invoked from.


Suspicious-Preferences

1. Disguised File Types.

Selecting this option enables the disguised File detection algorithm.

This algorithm searches each file, performing an intelligent binary scan, and verifying that its file extension accurately reflects the file type. For example, if a JPEG image file has a .txt extension, this search will indicate a problem. The purpose of this search is to reveal the presence of files that have had their extension manually renamed to conceal their contents. This search can be time consuming, depending on the number of files present on the computer. By checking the Add Disguised Images and video option, any disguised image or video files will be added into their respective result list, and will be filtered and sorted along with the other images and video's. Exclude Files Checking this option allows you to filter the files searched to reduce search time. You can eliminate files that are too small or too large to be worth scanning.

2. Keywords

(If applicable to your version of Snitch)

Snitch includes a list of keywords which it uses when performing the Obscene Filename and URL searches. The words and phrases in this list have been found to be common in Suspicious or Obscene files.

With the custom keyword editor you can create your own additional keywords or phrases that Snitch can search for. Note: Snitch's default keywords cannot be edited.

Keyword type selection.

Use only Snitch default keywords-

This option selects the default keyword and phrase list that come with Snitch, any custom keywords previously enter by the user will be ignored.

Use only custom keywords -

Use this option to disable Snitch's default keyword list and use only the custom keywords previously entered by the user.

Use both custom and default keywords -

Select this option to simultaneously use custom keywords and Snitch's default keyword list.

Editing custom keywords.

3. File Obscenity.

This option enables a search algorithm which checks files for the presence of obscene language, or other suspicious keywords. The offending files are then tabled, and can be examined further if desired.

Check file names for obscenity

This option allows the user to scan for files which may be or in part contain obscene or suspicious keywords in its title.

Check text file content for obscenity

Enabling this option will allow Snitch to detect possibly obscene or suspicious content within text files.

Only files smaller than X Kilobytes

This option reduces the scan time by targeting only files who's size is smaller than or equal to the specified value.

Only check files opened within X months

This option allows the user to reduce search times by filtering out files that are over a certain age. This prevents searching all files again when periodic searching is done.

4. Compressed Files.

(If applicable to your version of snitch)

This option allows compressed files such as Zip, Rar, Cab or Ace to be interrogated for the presents image, video and audio files. The results can be extracted for viewing or further examined for obscene name content, password protection and image files can examined for nudity with snitch's SkinScan function.

5. Defaults

Pressing the default button will restore the default settings to this page of the preferences dialog.

6. Store Configuration

By pressing this button, the current settings on all preference pages can be saved to a configuration file. This file can be retrieved later to repeat the same search without having to manually reconfigure all settings.

7. Load Configuration

Pressing this button will restore a previously saved preference file. This will reconfigure the preference dialog with preferences from a saved file, so that a previously setup search can be done again without setting up again.

8. Done Button

Pressing the Done button will return control to the place that the preference dialog was invoked from.


File Sampling

1. Enable File Sampling (If applicable to your version of snitch)

File Sampling limits searching to a subset of all files in the target range, so a quick assessment can be made without having to scan all files. The user can choose to scan just some or all of the files within the search area by selecting the desired fractional value for each category. Values range from 1(All) to 9 - 1 means 'Scan all files'; 9 means 'Scan every ninth file'.

The benefit is that File Sampling can quickly indicate if a search area contains suspicious content, however the search is not exhaustive.

For example - Selecting "Every 2nd Image file" will scan only every other image file found. Therefore the time needed to scan will be halved.

Note: Files are selected so that scanning is distributed evenly across all sub-directories

2. Global Settings (If applicable to your version of snitch)

These options can be used to limit the number of results returned by target files more likely to contain suspicious content. These settings affect all categories and greatly reduce scan time.

Only Display files larger than x Kilobytes

Many small files are so small that they are highly unlikely to contain any suspicious content. eg. an image or movie that is smaller than say 3kb, has virtually no image data. These can be safely omitted from searches, and omitting them saves significantly on search time and resource usage.

Only Display Files accessed in the last x months

Sometimes it is useful to recover results only from recent activity on the computer. This option shows only results that are date stamped with a date within x months.

Only Display Files created in the last x months

As above, it is sometimes useful to recover results from files that have been created on the target computer.

Do not display files used exclusively by operating system

Speed improvements in the search phase can be achieved by removing system files from the pool of files to be searched. By setting this option, system files are omitted from the search.

3. Page Defaults

Pressing the default button will restore the default settings to this page of the preferences dialog.

4. Store Configuration

By pressing this button, the current settings on all preference pages can be saved to a configuration file. This file can be retrieved later to repeat the same search without having to manually reconfigure all settings.

5. Load Configuration

Pressing this button will restore a previously saved preference file. This will reconfigure the preference dialog with preferences from a saved file, so that a previously set up search can be done again without setting up again.

6. Done Button

Pressing the Done button will return control to the place that the preference dialog was invoked from.


User Defined-Preferences

1. Scan for user specified items.

Selecting this option allows you to perform a custom search so that you can find specific files which cannot be found using any other searches. This is especially useful when you are looking for a file with a specific extension, or with a particular date or size.

2. Search For.

This option allows searching for a particular file name or file type: File name. Enter a custom file name to search for eg. 'notepad' File type Enter a custom file extension to search for, eg. 'exe' for executable files.

3. File Size.

Search for files fitting a range of sizes. An upper and lower limit in kilobytes may be entered.

4. Look for files by date?.

Select a range of dates to return files fitting this criteria.

5. Defaults.

Pressing the default button will restore the default settings to this page of the preferences dialog.

6. Store Configuration.

By pressing this button, the current settings on all preference pages can be saved to a configuration file. This file can be retrieved later to repeat the same search without having to manually reconfigure all settings.

7. Load Configuration.

Pressing this button will restore a previously saved preference file. This will reconfigure the preference dialog with preferences from a saved file, so that a previously set up search can be done again without setting up again.

8. Done Button.

Pressing the Done button will return control to the place that the preference dialog was invoked from.


Miscellaneous Preferences

1.Startup Password

Enable this option to ensure users enter a password each time snitch is run. (note: ensure you have memorise your password before exiting snitch).

2. Reporting

(If applicable to your version of snitch)

When generating a report use these options to select appropriate properties you wish each item to display in your report. By selecting the "Use default word processor" option Snitch will attempt instead to generate a report using the systems default word processing program, this may allow users greater flexibility when editing a report.

Verbose header

Add scan summary and computer details to summary.

Use Snitch's Report editor

When this option is checked Snitch will use the built in report editor, otherwise Snitch will attempt to initialise and open the report using Windows default Word Processing application (eg: Word).

Add Accessed Date

Add each files last accessed date to the report.

Add Modified Date

Add to the report the last date each file was Modified.

Add Created Date

Add each files creation date to the report.

Include Time Stamp with dates

Add the time to the Modified and Created dates if either options have been selected.

Add File Size

Add each files size in bytes to the report.

Only add URL base names.

Each Url in Internet results has a number of sub pages associated with it, enabling this feature causes only the Base names of the URL's to be reported.

EG: (www.hyperdynesoftware.com/features/web/styles will be reported as www.hyperdynesoftware.com.

Truncate long file names

This option Reduces the length of long file names to aid in the alinement of file properties in the report.

Add File Owner Names (windows 2000/XP/NT only)

This feature allows Snitch to add the user name or group that owns each file to the report. This feature is used for NTFS file system's only.

3.Alerting

Remove all warning messages that may require some user response.

4.Clear Search History

Clears the "Current Search Path" drop down list of recent scan history

5. Registration

If you have purchase a license or registration number for snitch, you may install it by pressing this button then enter either a registration number or select a path to valid registration file.

6. Page Defaults

Pressing the default button will restore the default settings to this page of the preferences dialog.

7. Store Configuration

By pressing this button, the current settings on all preference pages can be saved to a configuration file. This file can be retrieved later to repeat the same search without having to manually reconfigure all settings.

8. Load Configuration

Pressing this button will restore a previously saved preference file. This will reconfigure the preference dialog with preferences from a saved file, so that a previously set up search can be done again without setting up again.

9. Done Button

Pressing the Done button will return control to the place that the preference dialog was invoked from.


Keyword Editor

Custom Keyword Editor

(If applicable to your version of Snitch)

Snitch includes a list of keywords which it uses when performing the Obscene Filename and URL searches. The words and phrases in this list have been found to be common in Suspicious or Obscene files.

With the custom keyword editor you can create your own additional keywords or phrases that Snitch can search for. Note: Snitch's default keywords cannot be edited.

A. type keyword-

Type the required keyword or phrase into the text box. Note: wildcard characters such as * and ? can not be used.

B. Add keyword-

Click the "Add" button or press enter to store your keyword or phrase in the custom keyword list. If the new keyword exists in either the default keyword list or custom keyword list, Snitch will display a warning message. Maximum number of custom keywords that can be entered is 150. Note: Adding new keywords will increase search time.

C. Keyword priority-

Select the priority you wish to give the new keyword. Values range from 1 to 5. Selecting a value of 5 will allow the keyword to appear earlier in the results list, selecting a value of 1 will lessen the keywords priority causing it to appear later in the results list. Note: If the keyword priority is not set by the user, the default value is automatically set to 1.

D. Backup keywords-

If desired, the entire custom keyword list can be saved to disk. If installing Snitch on subsequent computers, the keyword list can easily be Imported. Note: This function is not necessary for normal operation.

E. Retrieve keywords-

Import a previously saved keyword list. Note: This function is not necessary for normal operation.

F. Clear list-

If desired, all items in the custom keyword list can easily be deleted.

G. Done-

When you have finished entering or editing keywords, click "Done" to save the list and return to preference selection.


SkinScan

The SkinScan Analysis can be used to detect images containing nudity or pornographic topic matter, by using a 'fuzzy' algorithm to detect the skin tone as well as other characteristics of adult material. In addition to this, several other adaptive methods are used to help isolate the most suspicious files, including optionally a weighted keyword system to detect obscenity in filenames, a choice of adaptive algorithms and a programmable filter to simplify results by removing all non suspicious images. These combine to make a fast and very effective image screening algorithm. Enabling this algorithm will slow down the overall search, depending on the number of images present in the search path, but will greatly improve the quality of results obtained.


Audio Results

Overview.

This screen displays the results of the audio file search, if it has been performed. The files found will be displayed. Results can be browsed and sorted as desired, and added to a report. If the audio search was not selected, then the Audio Results button will be inactive. If no results were returned matching your criteria, then a notification will inform you of this.

Details.

Files will be displayed with full path and modified date. The files can be played by double clicking the file.

Sorting options.

There are a number of sorting options for the image results. The images can be sorted by name, filename obscenity, date, or size. You can sort using the buttons provided or click the column heading, it may take several seconds to sort the results, depending on the quantity of results.

Reporting and Deletion.

(If applicable to your version of snitch)

This option will select Audio results, so that their information will be added to the report (or scheduled for deletion). You can tell that a result has been selected for reporting (or Deletion) by the tick box at the left of the item. Individual results can be added or removed from the list by selecting or deselecting their tick box. For some categories such as Audio, Obscene, Disguised or User Defined items may be deleted individually by selecting it with a right mouse button click, then select delete from the menu.

Warning deletion is not reversible, once a file has been deleted it can not be retrieved.

Select all for report/Deletion.

This option will select all audio files on the page, so that their information will be added to the report or queued for deletion. You can tell that an audio file has been selected by the tick box at the left of its listing.

Note: The details of any deleted file are retained while Snitch is running, so that they may be used in a report.

Result Selection Buttons.

Several Groups of buttons are found on the left hand side of the results page.

Dark Blue Buttons

The dark blue buttons at the top of the list select results for the searches selected in the preference dialog. Pressing one of these buttons will display the returned results. If no results were found, then this will be indicated.

The number of blue buttons present will depend on the number of searches selected. If only one search type is performed, then one blue button will be present. The other searches will be present in the grey buttons.

Grey Buttons

The grey buttons underneath the blue buttons indicate those searches that were not performed. These buttons cannot be pressed, as there are no results to show.

Light Blue Buttons

The green buttons at the bottom allow a report to be generated, a new search to be started, or exiting the program.


Disguised Results

Disguised File Results

Overview.

This screen displays the results of the Disguised Files search. Any files that have been detected as one type of file but whose extension indicates another are shown here.

Reporting and Deletion.

(If applicable to your version of snitch)

This option will select Disguised files results, so that their information will be added to the report (or scheduled for deletion). You can tell that a result has been selected for reporting (or Deletion) by the tick box at the left of the item. Individual results can be added or removed from the list by selecting or deselecting their tick box. For some categories such as Audio, Obscene, Disguised or User Defined items may be deleted individually by selecting it with a right mouse button click, then select delete from the menu.

Warning deletion is not reversible, once a file has been deleted it can not be retrieved.

Select all for report/Deletion.

This option will select all Disguised files on the page, so that their information will be added to the report or queued for deletion. You can tell that a Disguised file has been selected by the tick box at the left of its listing.

Note: The details of any deleted file are retained while Snitch is running, so that they may be used in a report.

Details.

The file name is given on the left, and the detected file type is given in the next column. By double clicking on a result, you can display all files details or open the file.

Sorting options.

There are a number of sorting options for the Disguised file results. The results can be sorted by name, type, date or size. You can sort using the buttons provided or click the column heading, it may take several seconds to sort the results, depending on the quantity of results.

Result Selection Buttons.

Several Groups of buttons are found on the left hand side of the results page.

Dark Blue Buttons

The dark blue buttons at the top of the list select results for the searches selected in the preference dialog. Pressing one of these buttons will display the returned results. If no results were found, then this will be indicated.

The number of blue buttons present will depend on the number of searches selected. If only one search type is performed, then one blue button will be present. The other searches will be present in the grey buttons.

Grey Buttons

The grey buttons underneath the blue buttons indicate those searches that were not performed. These buttons cannot be pressed, as there are no results to show.

Light Blue Buttons

The green buttons at the bottom allow a report to be generated, a new search to be started, or exiting the program.


Image Results

Overview.

Here, the results of the image search and its associated filtering algorithms, are displayed. They can be browsed and sorted as desired, expanded, and added to a report. If the image search was not selected, then the Image Results button will be inactive. If no results were returned matching your criteria, then a notification will inform you of this.

Details.

Image names can be found in the text box under each image. The full path can be shown by hovering the cursor over the text box until the path appears. Further details about each image can be displayed, along with an expanded view of each image, by clicking once on the image. Clicking again on the image will close it.

Reporting and Deletion.

(If applicable to your version of snitch)

Select page for report/Deletion.

This option will select all images on the page, so that their information will be added to the report or schedule it for deletion. You can tell that an image has been selected for reporting (or deletion) by the tick box at the bottom right of the image box. Individual images can also be added or removed from the reporting/Deletion list by selecting or deselecting their tick box.

When selections are complete either click the "Generate Report" button (to create a report summary) or click the "Delete Selected Files" button (to permanently delete all selected files).

Single images may also be deleted by enlarging an image thumbnail then clicking the "Delete" button. Warning deletion is not reversible, once a file has been deleted it can not be retrieved.

Note: The details of any deleted file are retained while Snitch is running, so that they may be used in a report.

Display only Suspicious.

If the SkinScan feature was selected, ticking this box will cause only images with a significant SkinScan result to be displayed.

Sorting options.

There are a number of sorting options for the image results. The images can be sorted by name, filename obscenity, SkinScan results, date, or size. It may take several seconds to sort the results, depending on the quantity of results.

Navigation Buttons.

The images can be browsed using the navigation buttons at the top right. The Prev and Next buttons move forward and backward one page at a time, while the << and >> buttons jump straight to the beginning or the end. By typing a number within the page range into the box, and pressing enter, the selected page will be jumped to.

Result Selection Buttons.

Several Groups of buttons are found on the left hand side of the results page.

Dark Blue Buttons

The dark blue buttons at the top of the list select results for the searches selected in the preference dialog. Pressing one of these buttons will display the returned results. If no results were found, then this will be indicated.

The number of blue buttons present will depend on the number of searches selected. If only one search type is performed, then one blue button will be present. The other searches will be present in the grey buttons.

Grey Buttons

The grey buttons underneath the blue buttons indicate those searches that were not performed. These buttons cannot be pressed, as there are no results to show.

Light Blue Buttons

The green buttons at the bottom allow a report to be generated, a new search to be started, or exiting the program.


Internet Results

Overview.

In this dialog, the results of the internet history search are displayed. This section gives a list of the internet sites that have been visited using the browser(s) on the test computer. The left column shows the internet address visited, and the column on the right shows the files and their subdirectories which were viewed at that site. The date visited is also shown.

Details.

By selecting a URL from the left column (by clicking), the associated files viewed at that site are displayed on the right side. The results can be browsed and sorted as desired, or added to a report. If the Internet History search was not selected, then the Internet History button will be inactive. If no results were returned matching your criteria, then a notification will inform you of this.

By double clicking on a URL details result, the default browser will open, and if you are connected to the internet, the browser will navigate to that page and open the item in question.

Reporting and Deletion.

(If applicable to your version of snitch)

This option will select internet results, so that their information will be added to the report (or scheduled for deletion). You can tell that a result has been selected for reporting (or Deletion) by the tick box at the left of the URL. Individual results can also be added or removed from the reporting list by selecting or deselecting their tick box.

Select all URLs for report/Deletion.

Clicking the 'Select all URL's for report' option selects all URLs and paths for addition to a report (or schedules them for deletion). Caution - this could add many results to the report, when not all may be relevant. By selecting the tick box next to a URL in the left column, just that URL and its associated results are added to the report.

Note: The details of any deleted URL is retained while Snitch is running, so that it may be used in a report.

Sorting options.

There are a number of sorting options for the internet results. The results can be sorted by name, obscenity or by date. It may take several seconds to sort the results, depending on the quantity of results. The internet results can be browsed by clicking in the left column and viewing the files in the right column.

Use default browser to open URLs.

Use this option to open all URL results in the system default browser, regardless of which browser was used to initially access the URL. This can eliminate problems with a malfunctioning or unconfigured browser, or simply allow users to view results in a standardised manner.

Show all details.

This option selects between displaying just the path, or showing additional data, like the date visited and browser that was used.

Result Selection Buttons.

Several Groups of buttons are found on the left hand side of the results page.

Dark Blue Buttons

The dark blue buttons at the top of the list select results for the searches selected in the preference dialog. Pressing one of these buttons will display the returned results. If no results were found, then this will be indicated.

The number of blue buttons present will depend on the number of searches selected. If only one search type is performed, then one blue button will be present. The other searches will be present in the grey buttons.

Grey Buttons

The grey buttons underneath the blue buttons indicate those searches that were not performed. These buttons cannot be pressed, as there are no results to show.

Light Blue Buttons

The green buttons at the bottom allow a report to be generated, a new search to be started, or exiting the program.


Obscenity Results

Overview.

This page displays a table of files whose filenames have been determined to possibly contain obscenity, suspicious topic matter, references to illegally used software and other typically illicit terms.

Details.

Results include the file name, full path, and its modified date.

By double clicking on a result, you can display a files details or open the file.

Reporting and Deletion.

(If applicable to your version of snitch)

This option will select Obscene files results, so that their information will be added to the report (or scheduled for deletion). You can tell that a result has been selected for reporting (or Deletion) by the tick box at the left of the item. Individual results can be added or removed from the list by selecting or deselecting their tick box. For some categories such as Audio, Obscene, Disguised or User Defined items may be deleted individually by selecting it with a right mouse button click, then select delete from the menu.

Warning deletion is not reversible, once a file has been deleted it can not be retrieved.

Select all for report/Deletion.

This option will select all Obscene files on the page, so that their information will be added to the report or queued for deletion. You can tell that an Obscene file has been selected by the tick box at the left of its listing.

Note: The details of any deleted file are retained while Snitch is running, so that they may be used in a report.

Sorting options.

There are a number of sorting options for the Obscenity results. The results can be sorted by name, type, date or size. You can sort using the buttons provided or click the column heading, it may take several seconds to sort the results, depending on the quantity of results.

Result Selection Buttons.

Several Groups of buttons are found on the left hand side of the results page.

Dark Blue Buttons

The dark blue buttons at the top of the list select results for the searches selected in the preference dialog. Pressing one of these buttons will display the returned results. If no results were found, then this will be indicated.

The number of blue buttons present will depend on the number of searches selected. If only one search type is performed, then one blue button will be present. The other searches will be present in the grey buttons.

Grey Buttons

The grey buttons underneath the blue buttons indicate those searches that were not performed. These buttons cannot be pressed, as there are no results to show.

Light Blue Buttons

The green buttons at the bottom allow a report to be generated, a new search to be started, or exiting the program.


User Defined

User Defined Results

Overview.

This page displays the results of the User Defined search. The results displayed are dependent on the types of items searched for in the User Defined preferences page.

Results include the file name, its full path and modified date.

Details.

By double clicking on a result, you can display all files details or open the file.

Reporting and Deletion.

(If applicable to your version of snitch)

This option will select User Defined results, so that their information will be added to the report (or scheduled for deletion). You can tell that a result has been selected for reporting (or Deletion) by the tick box at the left of the item. Individual results can be added or removed from the list by selecting or deselecting their tick box. For some categories such as Audio, Obscene, Disguised or User Defined items may be deleted individually by selecting it with a right mouse button click, then select delete from the menu.

Warning deletion is not reversible, once a file has been deleted it can not be retrieved.

Select all for report/Deletion.

This option will select all User Defined files on the page, so that their information will be added to the report or queued for deletion. You can tell that a User Defined file has been selected by the tick box at the left of its listing.

Note: The details of any deleted file are retained while Snitch is running, so that they may be used in a report.

Sorting options

There are a number of sorting options for the User Defined results. The results can be sorted by name, date or size. You can sort using the buttons provided or click the column heading, it may take several seconds to sort the results, depending on the quantity of results.

Result Selection Buttons

Several Groups of buttons are found on the left hand side of the results page.

Dark Blue Buttons

The dark blue buttons at the top of the list select results for the searches selected in the preference dialog. Pressing one of these buttons will display the returned results. If no results were found, then this will be indicated.

The number of blue buttons present will depend on the number of searches selected. If only one search type is performed, then one blue button will be present. The other searches will be present in the grey buttons.

Grey Buttons

The grey buttons underneath the blue buttons indicate those searches that were not performed. These buttons cannot be pressed, as there are no results to show.

Light Blue Buttons

The green buttons at the bottom allow a report to be generated, a new search to be started, or exiting the program.


Compressed Results

(If applicable to your version of snitch)

Overview.

Here, the results of the compressed file search and its associated filtering algorithms, are displayed. They can be browsed and sorted as desired, expanded, and added to a report. If the compressed file search was not selected, then the compressed file Results button will be inactive. If no results were returned matching your criteria, then a notification will inform you of this.

Details.

Files will be displayed with password status, obscenity content status, Image, video, audio content. The file contents can be displayed by double clicking the file. Further examination of the result can be achieved with various sorting functions including SkinScan, also files can be extracted for viewing by double clicking the result.

Show all details

This option selects between displaying just the media, password and obscene content, or showing additional data, like the date, time and full path of file.

Reporting and Deletion.

(If applicable to your version of snitch)

This option will select Compressed File results, so that their information will be added to the report (or scheduled for deletion). You can tell that a result has been selected for reporting (or Deletion) by the tick box at the left of the item. Individual results can be added or removed from the list by selecting or deselecting their tick box. For some categories such as Audio, Obscene, Compressed File, Disguised or User Defined items may be deleted individually by selecting it with a right mouse button click, then select delete from the menu.

Warning deletion is not reversible, once a file has been deleted it can not be retrieved.

Select all for report/Deletion.

This option will select all Compressed files on the page, so that their information will be added to the report or queued for deletion. You can tell that an Compressed file has been selected by the tick box at the left of its listing.

Note: The details of any deleted file are retained while Snitch is running, so that they may be used in a report.

Sorting options

There are a number of sorting options for the Compressed Files results. The results can be sorted by name, type, password protection status, image content, video content, audio content, name obscenity, date or size. You can sort using the buttons provided or click the column heading, it may take several seconds to sort the results, depending on the quantity of results.

Result Selection Buttons.

Several Groups of buttons are found on the left hand side of the results page.

Dark Blue Buttons

The dark blue buttons at the top of the list select results for the searches selected in the preference dialog. Pressing one of these buttons will display the returned results. If no results were found, then this will be indicated.

The number of blue buttons present will depend on the number of searches selected. If only one search type is performed, then one blue button will be present. The other searches will be present in the grey buttons.

Grey Buttons

The grey buttons underneath the blue buttons indicate those searches that were not performed. These buttons cannot be pressed, as there are no results to show.

Light Blue Buttons

The green buttons at the bottom allow a report to be generated, a new search to be started, or exiting the program.


Video Results

Overview.

Here, the results of the video search and its associated filtering algorithms, are displayed. Each detected video file will display a thumbnail from the beginning of the video, if the test system has the appropriate codec (compressor/de-compressor) to handle the video format. The video files can be browsed and sorted as desired, expanded, and added to a report. If the video search was not selected, then the Video Results button will be inactive. If no results were returned matching your criteria, then a notification will inform you of this.

Details.

Video file names can be found in the text box under each image. The full path to the file can be shown by hovering the cursor over the text box until the path appears.

The video file can be played by double-clicking ?? on the selected video file.

Reporting and Deletion.

(If applicable to your version of snitch)

Use the tickbox associated with each item to add its details to a report or schedule it for deletion.

Select page for Report/Deletion.

This option will select all videos on the current page, so that their information will be added to the report (or scheduled for deletion). You can tell that a video has been selected for reporting (or deletion) by the tickbox at the bottom right of the video box. Individual images can also be added or removed from the reporting list by selecting or deselecting their tick box.

When selections are complete either click the "Generate Report" button (to create a report summary) or click the "Delete Selected Files" button (to permanently delete all selected files).

Single video's may also be deleted by enlarging a video thumbnail then clicking the "Delete" button. Warning deletion is not reversible, once a file has been deleted it can not be retrieved.

Note: The details of any deleted file are retained while Snitch is running, so that they may be used in a report.

Sorting options.

There are a number of sorting options for the image results. The images can be sorted by name, filename obscenity, color scan results, date, or size. It may take several seconds to sort the results, depending on the quantity of results.

Navigation Buttons.

The images can be browsed using the navigation buttons at the top right. The Prev and Next buttons move forward and backward one page at a time, while the << and >> buttons jump straight to the beginning or the end. By typing a number within the page range into the box, and pressing enter, the selected page will be jumped to.

Result Selection Buttons.

Several Groups of buttons are found on the left hand side of the results page.

Dark Blue Buttons

The dark blue buttons at the top of the list select results for the searches selected in the preference dialog. Pressing one of these buttons will display the returned results. If no results were found, then this will be indicated.

The number of blue buttons present will depend on the number of searches selected. If only one search type is performed, then one blue button will be present. The other searches will be present in the grey buttons.

Grey Buttons

The grey buttons underneath the blue buttons indicate those searches that were not performed. These buttons cannot be pressed, as there are no results to show.

Light Blue Buttons

The green buttons at the bottom allow a report to be generated, a new search to be started, or exiting the program.


Generating Reports

Generating a Report

(If applicable to your version of snitch)

1. Select items

Select an item to add to your report by ticking its associated tickbox shown below.

or

2. Generate Report

Automatically generate a report by clicking the "Generate Report"

button located on the "Results" page.

(note: the format of your report can be modified in the "Miscellaneous"

section of "Configuration" or right click over "Generate Report" button for options menu).

3. Report Editor

Edit your report with a variety of options including-

Fonts, bullets, Colors , Underline, strikeThru and Alignment.

You can Print or Save your report as a "Rich Text Document" for

distribution or further editing in any word processor.


Choosing a Search Type

Type topic text here.


Key Features of Snitch

Type topic text here.


Multimedia

Type topic text here.


New Topic

Type topic text here.


Quick Start Overview

Type topic text here.


Results Overview

Type topic text here.


Reviewing Results

Type topic text here.


Searching

Type topic text here.


Selecting a Different Search

Type topic text here.


Starting Snitch

Type topic text here.


Why Configure Snitch?

Type topic text here.